diff a/src/hotspot/share/oops/instanceStackChunkKlass.hpp b/src/hotspot/share/oops/instanceStackChunkKlass.hpp
--- a/src/hotspot/share/oops/instanceStackChunkKlass.hpp
+++ b/src/hotspot/share/oops/instanceStackChunkKlass.hpp
@@ -126,11 +126,11 @@
   static inline size_t bitmap_size_in_bits(size_t stack_size_in_words); // In bits
   static inline size_t bitmap_size(size_t stack_size_in_words); // In words
   static inline size_t gc_data_size(size_t stack_size_in_words); // In words
 
   // Returns the size of the instance including the stack data.
-  virtual size_t oop_size(oop obj) const override;
+  size_t oop_size(oop obj, markWord mark) const override;
 
   static void serialize_offsets(class SerializeClosure* f) NOT_CDS_RETURN;
 
   static void print_chunk(const stackChunkOop chunk, bool verbose, outputStream* st = tty);
 
